diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/examples/wifi-phy-configuration.cc ns-3.43/src/wifi/examples/wifi-phy-configuration.cc
--- ns-3.42/src/wifi/examples/wifi-phy-configuration.cc	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/examples/wifi-phy-configuration.cc	2024-10-09 16:41:10.112656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Tom Henderson
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tom Henderson <tomh@tomh.org>
  */
@@ -454,7 +443,6 @@
         NS_ASSERT(phySta->GetChannelWidth() == 20);
         NS_ASSERT(phySta->GetFrequency() == 5180);
         NS_ASSERT(exceptionThrown);
-        phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         exceptionThrown = false;
         try
         {
@@ -464,6 +452,7 @@
         {
             exceptionThrown = true;
         }
+        phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         // We expect channel number to be 36 and an exception to be thrown
         NS_ASSERT(phySta->GetChannelNumber() == 36);
         NS_ASSERT(phySta->GetChannelWidth() == 20);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/examples/wifi-phy-rx-trace-example.cc ns-3.43/src/wifi/examples/wifi-phy-rx-trace-example.cc
--- ns-3.42/src/wifi/examples/wifi-phy-rx-trace-example.cc	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/examples/wifi-phy-rx-trace-example.cc	2024-10-09 16:41:10.112656800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 The Boeing Company
  * Copyright (c) 2024 University of Washington (updated to 802.11ax standard)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/examples/wifi-phy-test.cc ns-3.43/src/wifi/examples/wifi-phy-test.cc
--- ns-3.42/src/wifi/examples/wifi-phy-test.cc	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/examples/wifi-phy-test.cc	2024-10-09 16:41:10.112656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -39,7 +28,7 @@
     struct Input
     {
         Input();
-        double distance;      ///< distance
+        meter_u distance;     ///< distance
         std::string txMode;   ///< transmit mode
         uint8_t txPowerLevel; ///< transmit power level
         uint32_t packetSize;  ///< packet size
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/examples/wifi-test-interference-helper.cc ns-3.43/src/wifi/examples/wifi-test-interference-helper.cc
--- ns-3.42/src/wifi/examples/wifi-test-interference-helper.cc	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/examples/wifi-test-interference-helper.cc	2024-10-09 16:41:10.112656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -84,8 +73,8 @@
     {
         Input();
         Time interval;         ///< interval
-        double xA;             ///< x A
-        double xB;             ///< x B
+        meter_u xA;            ///< x A
+        meter_u xB;            ///< x B
         std::string txModeA;   ///< transmit mode A
         std::string txModeB;   ///< transmit mode B
         double txPowerLevelA;  ///< transmit power level A
@@ -94,8 +83,8 @@
         uint32_t packetSizeB;  ///< packet size B
         uint16_t channelA;     ///< channel number A
         uint16_t channelB;     ///< channel number B
-        uint16_t widthA;       ///< channel width A
-        uint16_t widthB;       ///< channel width B
+        MHz_u widthA;          ///< channel width A
+        MHz_u widthB;          ///< channel width B
         WifiStandard standard; ///< standard
         WifiPhyBand band;      ///< band
         WifiPreamble preamble; ///< preamble
@@ -317,13 +306,13 @@
     InterferenceExperiment::Input input;
     std::string str_standard = "WIFI_PHY_STANDARD_80211a";
     std::string str_preamble = "WIFI_PREAMBLE_LONG";
-    uint64_t delay = 0; // microseconds
+    Time delay{"0us"};
 
     CommandLine cmd(__FILE__);
-    cmd.AddValue("delay",
-                 "Delay in microseconds between frame transmission from sender A and frame "
-                 "transmission from sender B",
-                 delay);
+    cmd.AddValue(
+        "delay",
+        "Delay between frame transmission from sender A and frame transmission from sender B",
+        delay);
     cmd.AddValue("xA", "The position of transmitter A (< 0)", input.xA);
     cmd.AddValue("xB", "The position of transmitter B (> 0)", input.xB);
     cmd.AddValue("packetSizeA", "Packet size in bytes of transmitter A", input.packetSizeA);
@@ -349,7 +338,7 @@
                  expectRxBSuccessful);
     cmd.Parse(argc, argv);
 
-    input.interval = MicroSeconds(delay);
+    input.interval = delay;
 
     if (input.xA >= 0 || input.xB <= 0)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/examples/wifi-trans-example.cc ns-3.43/src/wifi/examples/wifi-trans-example.cc
--- ns-3.42/src/wifi/examples/wifi-trans-example.cc	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/examples/wifi-trans-example.cc	2024-10-09 16:41:10.112656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Orange Labs
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Rediet <getachew.redieteab@orange.com>
  */
@@ -53,15 +42,15 @@
 int
 main(int argc, char** argv)
 {
-    std::string standard = "11a";
-    int bw = 20;
-    double pow = 23; // dBm
+    std::string standardStr = "11a";
+    MHz_u bw = 20;
+    dBm_u pow = 23;
     bool verbose = false;
     CommandLine cmd(__FILE__);
     cmd.AddValue("standard",
                  "OFDM-based Wi-Fi standard [11a, 11p_10MHZ, 11p_5MHZ, 11n_2_4GHZ, 11n_5GHZ, 11ac, "
                  "11ax_2_4GHZ, 11ax_5GHZ]",
-                 standard);
+                 standardStr);
     cmd.AddValue("bw", "Bandwidth (consistent with standard, in MHz)", bw);
     cmd.AddValue("txPower", "Transmit power (dBm)", pow);
     cmd.AddValue("verbose",
@@ -72,14 +61,19 @@
     WifiHelper wifi;
     Ssid ssid;
     std::string dataRate;
-    int freq;
+    MHz_u freq;
     Time dataStartTime =
         MicroSeconds(800); // leaving enough time for beacon and association procedure
     Time dataDuration =
         MicroSeconds(300); // leaving enough time for data transfer (+ acknowledgment)
-    if (standard == "11a")
-    {
-        wifi.SetStandard(WIFI_STANDARD_80211a);
+    WifiStandard standard{WifiStandard::WIFI_STANDARD_UNSPECIFIED};
+    WifiPhyBand phyBand{WIFI_PHY_BAND_UNSPECIFIED};
+    std::string channelBand;
+    if (standardStr == "11a")
+    {
+        standard = WIFI_STANDARD_80211a;
+        phyBand = WIFI_PHY_BAND_5GHZ;
+        channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211a");
         dataRate = "OfdmRate6Mbps";
         freq = 5180;
@@ -89,9 +83,11 @@
             return 1;
         }
     }
-    else if (standard == "11p_10MHZ")
+    else if (standardStr == "11p_10MHZ")
     {
-        wifi.SetStandard(WIFI_STANDARD_80211p);
+        standard = WIFI_STANDARD_80211p;
+        phyBand = WIFI_PHY_BAND_5GHZ;
+        channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211p_10MHZ");
         dataRate = "OfdmRate3MbpsBW10MHz";
         freq = 5860;
@@ -103,9 +99,11 @@
             return 1;
         }
     }
-    else if (standard == "11p_5MHZ")
+    else if (standardStr == "11p_5MHZ")
     {
-        wifi.SetStandard(WIFI_STANDARD_80211p);
+        standard = WIFI_STANDARD_80211p;
+        phyBand = WIFI_PHY_BAND_5GHZ;
+        channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211p_5MHZ");
         dataRate = "OfdmRate1_5MbpsBW5MHz";
         freq = 5860;
@@ -117,9 +115,11 @@
             return 1;
         }
     }
-    else if (standard == "11n_2_4GHZ")
+    else if (standardStr == "11n_2_4GHZ")
     {
-        wifi.SetStandard(WIFI_STANDARD_80211n);
+        standard = WIFI_STANDARD_80211n;
+        phyBand = WIFI_PHY_BAND_2_4GHZ;
+        channelBand = "BAND_2_4GHZ";
         ssid = Ssid("ns380211n_2_4GHZ");
         dataRate = "HtMcs0";
         freq = 2402 + (bw / 2); // so as to have 2412/2422 for 20/40
@@ -131,9 +131,11 @@
             return 1;
         }
     }
-    else if (standard == "11n_5GHZ")
+    else if (standardStr == "11n_5GHZ")
     {
-        wifi.SetStandard(WIFI_STANDARD_80211n);
+        standard = WIFI_STANDARD_80211n;
+        phyBand = WIFI_PHY_BAND_5GHZ;
+        channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211n_5GHZ");
         dataRate = "HtMcs0";
         freq = 5170 + (bw / 2); // so as to have 5180/5190 for 20/40
@@ -144,9 +146,11 @@
             return 1;
         }
     }
-    else if (standard == "11ac")
+    else if (standardStr == "11ac")
     {
-        wifi.SetStandard(WIFI_STANDARD_80211ac);
+        standard = WIFI_STANDARD_80211ac;
+        phyBand = WIFI_PHY_BAND_5GHZ;
+        channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211ac");
         dataRate = "VhtMcs0";
         freq = 5170 + (bw / 2); // so as to have 5180/5190/5210/5250 for 20/40/80/160
@@ -158,9 +162,11 @@
             return 1;
         }
     }
-    else if (standard == "11ax_2_4GHZ")
+    else if (standardStr == "11ax_2_4GHZ")
     {
-        wifi.SetStandard(WIFI_STANDARD_80211ax);
+        standard = WIFI_STANDARD_80211ax;
+        phyBand = WIFI_PHY_BAND_2_4GHZ;
+        channelBand = "BAND_2_4GHZ";
         ssid = Ssid("ns380211ax_2_4GHZ");
         dataRate = "HeMcs0";
         freq = 2402 + (bw / 2); // so as to have 2412/2422/2442 for 20/40/80
@@ -172,9 +178,11 @@
             return 1;
         }
     }
-    else if (standard == "11ax_5GHZ")
+    else if (standardStr == "11ax_5GHZ")
     {
-        wifi.SetStandard(WIFI_STANDARD_80211ax);
+        standard = WIFI_STANDARD_80211ax;
+        phyBand = WIFI_PHY_BAND_5GHZ;
+        channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211ax_5GHZ");
         dataRate = "HeMcs0";
         freq = 5170 + (bw / 2); // so as to have 5180/5190/5210/5250 for 20/40/80/160
@@ -226,12 +234,15 @@
     SpectrumWifiPhyHelper spectrumPhy;
     spectrumPhy.SetChannel(channel);
     spectrumPhy.SetErrorRateModel("ns3::NistErrorRateModel");
-    spectrumPhy.Set("Frequency", UintegerValue(freq));
-    spectrumPhy.Set("ChannelWidth", UintegerValue(bw));
     spectrumPhy.Set("TxPowerStart", DoubleValue(pow)); // dBm
     spectrumPhy.Set("TxPowerEnd", DoubleValue(pow));
+    auto channelNumber = WifiPhyOperatingChannel::FindFirst(0, freq, bw, standard, phyBand)->number;
+    std::ostringstream channelSettings;
+    channelSettings << "{" << +channelNumber << ", " << bw << ", " << channelBand << ", 0}";
+    spectrumPhy.Set("ChannelSettings", StringValue(channelSettings.str()));
 
     WifiMacHelper mac;
+    wifi.SetStandard(standard);
     wifi.SetRemoteStationManager("ns3::ConstantRateWifiManager",
                                  "DataMode",
                                  StringValue(dataRate),
@@ -285,7 +296,7 @@
         TimeValue(MicroSeconds(4))); // enough resolution to distinguish OFDM symbols (default 1ms
                                      // too long even for PPDUs)
     std::ostringstream ossFileName;
-    ossFileName << "spectrum-analyzer-wifi-" << standard << "-" << bw << "MHz";
+    ossFileName << "spectrum-analyzer-wifi-" << standardStr << "-" << bw << "MHz";
     spectrumAnalyzerHelper.EnableAsciiAll(ossFileName.str());
     NetDeviceContainer spectrumAnalyzerDevices =
         spectrumAnalyzerHelper.Install(spectrumAnalyzerNodes);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/examples/wifi-trans-example.sh ns-3.43/src/wifi/examples/wifi-trans-example.sh
--- ns-3.42/src/wifi/examples/wifi-trans-example.sh	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/examples/wifi-trans-example.sh	2024-10-09 16:41:10.112656800 -0700
@@ -3,18 +3,7 @@
 #
 # Copyright (c) 2017 Orange Labs
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Rediet <getachew.redieteab@orange.com>
 #
@@ -56,7 +45,7 @@
 fi
 
 #List of available standards with corresponding bandwidth
-std_leg=("11a" "11_10MHZ" "11_5MHZ")
+std_leg=("11a" "11p_10MHZ" "11p_5MHZ")
 std_n=("11n_2_4GHZ" "11n_5GHZ")
 std_ac_ax=("11ac" "11ax_2_4GHZ" "11ax_5GHZ")
 bw_leg=(20 10 5)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/helper/athstats-helper.cc ns-3.43/src/wifi/helper/athstats-helper.cc
--- ns-3.42/src/wifi/helper/athstats-helper.cc	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/helper/athstats-helper.cc	2024-10-09 16:41:10.112656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/helper/athstats-helper.h ns-3.43/src/wifi/helper/athstats-helper.h
--- ns-3.42/src/wifi/helper/athstats-helper.h	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/helper/athstats-helper.h	2024-10-09 16:41:10.112656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/helper/spectrum-wifi-helper.cc ns-3.43/src/wifi/helper/spectrum-wifi-helper.cc
--- ns-3.42/src/wifi/helper/spectrum-wifi-helper.cc	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/helper/spectrum-wifi-helper.cc	2024-10-09 16:41:10.112656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  *          Sébastien Deronne <sebastien.deronne@gmail.com>
@@ -200,7 +189,8 @@
             // no interface attached to that channel
             continue;
         }
-        spectrumPhy->ConfigureInterface(phy->GetFrequency(), phy->GetChannelWidth());
+        spectrumPhy->ConfigureInterface(phy->GetOperatingChannel().GetFrequencies(),
+                                        phy->GetChannelWidth());
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/helper/spectrum-wifi-helper.h ns-3.43/src/wifi/helper/spectrum-wifi-helper.h
--- ns-3.42/src/wifi/helper/spectrum-wifi-helper.h	2024-05-29 15:29:47.196073800 -0700
+++ ns-3.43/src/wifi/helper/spectrum-wifi-helper.h	2024-10-09 16:41:10.112656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
